Subject: Re: [mpls] LSP ping clarification

From: "Vivek Kumar" <[email-masked]>
Date: Sat, 4 Aug 2012 03:51:59 +0000

Hi Kireeti/Sam,
   
   What about making some TTL/EXP field of ELI as magic value( say TTL=255 or EXP=7) to indicate that if ELI has TTL=255 or EXP=7 , the use EL value directly to index one of ECMP member ( without doing hashing).
   For example , if ELI.TTL=255 , and EL=1 , then select first member of ECMP group and if EL=2 , then next member and so on..

   Not sure if it is possible to have this kind of magic value for TTL or EXP but anyway for ELI which is going to be reserved value it should not be an issue.
   Let me know your feedback.

Regards,
Vivek

---

From: Sam Aldrin <[email-masked]>
Date: Fri, 3 Aug 2012 23:30:07 -0700

Vivek,

Before thinking of  new 'magic' fields, why do you think existing RFC4379 do not work?
As I eluded to in my email, existing model perfectly works without any additional change.

-sam
On Aug 3, 2012, at 8:51 PM, "Vivek Kumar" <[email-masked]> wrote:

> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

---

From: "Vivek Kumar" <[email-masked]>
Date: Sat, 4 Aug 2012 06:43:44 +0000

Hi Sam,
    Agreed. As you mentioned , RFC 4379 is well equipped to handle exploring all ECMP path. The only adv of having "new magic" field is that to traverse all ECMP path , it does not have to be dependent on how efficient load balancing algo underlying hardware support .

 Do you see any value in it ?

Regards,
vivek

-----Original Message-----
From: Sam Aldrin [mailto:[email-masked]] 
Sent: Saturday, August 04, 2012 12:00 PM
To: Vivek Kumar
Cc: [email-masked]
Subject: Re: [mpls] LSP ping clarification

Vivek,

-sam

---

From: Sam Aldrin <[email-masked]>
Date: Fri, 3 Aug 2012 23:48:11 -0700

Vivek,

I personally do not see any value other than imposing new meaning to fields, when it is not needed in the first place. Unless you make a real case where RFC cannot solve, but the new magic field can, it is not worth the effort.

-sam

---

From: "Vivek Kumar" <[email-masked]>
Date: Sat, 4 Aug 2012 06:55:46 +0000

Hi Sam,
    Not aware of any real use case as of now. But RFC 4379 , section 4.1 says 
   " If several transit LSRs
   have ECMP, the ingress may attempt to compose these to exercise all
   possible paths.  However, full coverage may not be possible. "

regards,
Vivek

-----Original Message-----
From: Sam Aldrin [mailto:[email-masked]] 
Sent: Saturday, August 04, 2012 12:18 PM
To: Vivek Kumar
Cc: [email-masked]
Subject: Re: [mpls] LSP ping clarification

Vivek,

-sam

---

From: Kireeti Kompella <[email-masked]>
Date: Tue, 7 Aug 2012 09:26:40 -0700

> As I eluded to in my email, existing model perfectly works without any additional change.

Thanks, Sam -- my thoughts exactly.  Perhaps not perfectly, but certainly well enough.

Besides, the magic value approach certainly doesn't work.  If you want to exercise the fifth member of a bundle (ECMP or LAG) (i.e., EL = 5), you'll be choosing the fifth member of every hop to get to where you want, which unfortunately won't be where you want.

Kireeti.